# This is a basic workflow to help you get started with Actions

name: initgit

# Controls when the workflow will run
on:
#   # Triggers the workflow on push or pull request events but only for the main branch
#   push:
#     branches: [ main ]
#   pull_request:
#     branches: [ main ]

  # Allows you to run this workflow manually from the Actions tab
  workflow_dispatch:

# A workflow run is made up of one or more jobs that can run sequentially or in parallel
jobs:
  # This workflow contains a single job called "build"
  build:
    # The type of runner that the job will run on
    runs-on: ubuntu-latest
    environment: development
    env: 
      SSHPASS: ${{ secrets.APP_PASS }}

    # Steps represent a sequence of tasks that will be executed as part of the job
    steps:
      # Checks-out your repository under $GITHUB_WORKSPACE, so your job can access it
      - uses: actions/checkout@v3
      
      # install sshpass Github <> OVH
      - name: install sshpass
        run: sudo apt-get install sshpass



      # git pull Github > OVH
      - name: git pull
        run: sshpass -e ssh -o stricthostkeychecking=no ${{ secrets.APP_USER }}@${{ secrets.APP_HOST }}
          "cd www/planit/
          && rm -rf build
          && mkdir build
          && cd build
          && git init
          && git clone git@github.com:qassil/planit.git
          && cp ~/www/env/.env.local ~/www/planit/build/planit/planit/.env.local
          && git add planit/
          && cd planit/
          && cd planit/
          && curl -sS https://getcomposer.org/installer | php
          && php composer.phar update
          && php bin/console cache:clear
          " 
